/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_OPERGRUPOP                                               */
/* Tabela : OPERGRUPOP                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_OPERGRUPOP'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_OPERGRUPOP
GO

CREATE TRIGGER DTULTATU_OPERGRUPOP
ON OPERGRUPOP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'OPERGRUPOP', null, 'CDGRUPOPER='+ CDGRUPOPER+ ';'+
                                         'CDOPERADOR='+ CDOPERADOR+ ';', CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) FROM DELETED)
   END
   ELSE BEGIN
      UPDATE OPERGRUPOP
      SET DTULTATUOPGR = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
      FROM INSERTED
      WHERE (ISNULL(OPERGRUPOP.CDGRUPOPER,0) = ISNULL(INSERTED.CDGRUPOPER,0)) AND
            (ISNULL(OPERGRUPOP.CDOPERADOR,0) = ISNULL(INSERTED.CDOPERADOR,0));
   END;
END;
GO


UPDATE OPERGRUPOP SET DTULTATUOPGR = CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108)) WHERE DTULTATUOPGR IS NULL
GO

IF EXISTS(SELECT * FROM sysobjects O
          WHERE
            o.name = 'DEFAULT_DTULTATUOPGR' and
            type = 'D')
   ALTER TABLE OPERGRUPOP DROP CONSTRAINT DEFAULT_DTULTATUOPGR
GO

ALTER TABLE OPERGRUPOP ADD CONSTRAINT DEFAULT_DTULTATUOPGR
DEFAULT CONVERT(DATETIME,CONVERT(VARCHAR,GETDATE(),103)+' '+CONVERT(VARCHAR,GETDATE(),108))
FOR DTULTATUOPGR
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_OPERGRUPOP','4.11.194';
GO
